## ldeep 1.0.86

=== debian/changelog ===
ldeep (1.0.86-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.86
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 16 Jun 2025 11:25:17 +0200

ldeep (1.0.84-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Wed, 12 Mar 2025 13:25:23 +0100

## ldeep 1.0.89

=== Makefile ===
SRC = $(wildcard ./ldeep/*.py)

all: build

build:
	pdm build -d sdist

pypi: $(SRC)
	twine upload sdist/*

pypi-test: $(SRC)
	twine upload --repository testpypi sdist/*

clean:
	@rm -rf build/ sdist/

mrproper: clean
	@find . -name *.pyc -exec rm '{}' \;
	@rm -rf *.egg-info

export:
	pdm lock
	pdm export -f requirements --without-hashes --prod > requirements.txt
	pdm export -f requirements --without-hashes --dev > requirements-dev.txt

.PHONY: clean mrproper build

## ldeep 1.0.87

=== debian/changelog ===
ldeep (1.0.87-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.87

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:30:30 +0200

=== debian/control ===
Source: ldeep
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-commandparse (>= 1.1.1),
 python3-cryptography (>= 42.0.7),
 python3-dnspython (>= 1.15.0),
 python3-gssapi (>= 1.8.0),
 python3-ldap3-bleeding-edge,
 python3-oscrypto (>= 1.3.0),
 python3-pdm,
 python3-pdm-backend,
 python3-pycryptodome (>= 3.19.0),
 python3-six (>= 1.16.0),
 python3-termcolor (>= 2.3.0),
 python3-tqdm (>= 4.26.0),
Standards-Version: 4.7.2
Homepage: https://github.com/franc-pentest/ldeep
Vcs-Browser: https://gitlab.com/kalilinux/packages/ldeep
Vcs-Git: https://gitlab.com/kalilinux/packages/ldeep.git

Package: ldeep
Architecture: all
Depends:
 gcc,
 krb5-config,
 libkrb5-dev,
 python3-dev,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: In-depth ldap enumeration utility
 ldeep is an in-depth ldap enumeration utility that can either run against an
 Active Directory LDAP server or locally on saved files.

## ldeep 1.0.89

=== debian/changelog ===
ldeep (1.0.89-0kali2) kali-dev; urgency=medium

  * Update patch for ldap3-bleeding-edge

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 15 Oct 2025 11:25:05 +0200

ldeep (1.0.89-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.0.89

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 14 Oct 2025 10:55:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=ldeep

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: ldeep --help
Restrictions:
 superficial,

=== debian/watch ===
version=4
https://github.com/franc-pentest/ldeep/tags .*/v?(\d.*)@ARCHIVE_EXT@

## ldeep 2.0.0

=== debian/changelog ===
ldeep (2.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0
  * Refresh patches
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 09:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-six (>= 1.16.0),
  python3-termcolor (>= 2.3.0),
  python3-tqdm (>= 4.26.0),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/franc-pentest/ldeep
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ldeep
 Vcs-Git: https://gitlab.com/kalilinux/packages/ldeep.git

=== debian/watch ===
Version: 5

Template: Github
Owner: franc-pentest
Project: ldeep
